Package: org.grails.config

## [Groovy] Class NavigableMapPropertySource

- org.grails.config.NavigableMapPropertySource

-     @java.lang.Deprecated
      @groovy.transform.CompileStatic
      class NavigableMapPropertySource
      extends org.springframework.core.env.MapPropertySource

  A org.springframework.core.env.PropertySource that doesn't return values for navigable submaps

  deprecated:
    This class behavior is closely tied to NavigableMap which will be removed in future release.
  Authors:
    Graeme Rocher
  Since:
    3.0.7

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String[]` | `navigablePropertyNames` |
    `private java.lang.String[]` | `propertyNames` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String[]` | `navigablePropertyNames`
    `java.lang.String[]` | `propertyNames`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `NavigableMapPropertySource (java.lang.String name, NavigableMap source)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `getNavigableProperty(java.lang.String name)`
    `` | `java.lang.Object` | `getProperty(java.lang.String name)`
    `` | `java.lang.String[]` | `getPropertyNames()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.core.env.MapPropertySource` | `org.springframework.core.env.MapPropertySource#containsProperty(java.lang.String), org.springframework.core.env.MapPropertySource#getPropertyNames(), org.springframework.core.env.MapPropertySource#getProperty(java.lang.String), org.springframework.core.env.MapPropertySource#named(java.lang.String), org.springframework.core.env.MapPropertySource#getSource(), org.springframework.core.env.MapPropertySource#equals(java.lang.Object), org.springframework.core.env.MapPropertySource#toString(), org.springframework.core.env.MapPropertySource#hashCode(), org.springframework.core.env.MapPropertySource#getName(), org.springframework.core.env.MapPropertySource#wait(long), org.springframework.core.env.MapPropertySource#wait(long, int), org.springframework.core.env.MapPropertySource#wait(), org.springframework.core.env.MapPropertySource#getClass(), org.springframework.core.env.MapPropertySource#notify(), org.springframework.core.env.MapPropertySource#notifyAll()`

- - ### Field Detail

    - #### private final java.lang.String[] navigablePropertyNames

    - #### private final java.lang.String[] propertyNames

  - ### Property Detail

    - #### final java.lang.String[] navigablePropertyNames

    - #### final java.lang.String[] propertyNames

  - ### Constructor Detail

    - #### NavigableMapPropertySource(java.lang.String name, NavigableMap source)

  - ### Method Detail

    - #### java.lang.Object getNavigableProperty(java.lang.String name)

    - #### @java.lang.Override java.lang.Object getProperty(java.lang.String name)

    - #### @java.lang.Override java.lang.String[] getPropertyNames()